Name: nullmailer
Summary: Simple relay-only mail transport agent
Version: 1.13
Release: 2%{dist}
License: GPL
Group: Networking/Daemons
Source: http://untroubled.org/nullmailer/archive/%{version}/nullmailer-%{version}.tar.gz
Patch1: nullmailer-%{version}-logmain.patch
BuildRoot: /tmp/nullmailer-root
URL: http://untroubled.org/nullmailer/
Packager: John Simpson <jms1@voalte.com>
Provides: smtpdaemon
Requires: daemontools
Requires: daemontools-extras
Requires: gnutls
Requires: shadow-utils
BuildRequires: gnutls-devel

%description
Nullmailer is a mail transport agent designed to only relay all its
messages through a fixed set of "upstream" hosts.  It is also designed
to be secure.

Re-packaged for Voatle.

%prep
%setup
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-tls

make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/var/nullmailer/service/log
mkdir -p $RPM_BUILD_ROOT/var/log/nullmailer

make DESTDIR=$RPM_BUILD_ROOT install-strip
ln -s ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail
install scripts/nullmailer.run $RPM_BUILD_ROOT/var/nullmailer/service/run
install scripts/nullmailer-log.run $RPM_BUILD_ROOT/var/nullmailer/service/log/run

%clean
rm -rf $RPM_BUILD_ROOT

%pre
PATH="/sbin:/usr/sbin:$PATH" export PATH
if [ "$1" = 1 ]; then
	# pre-install instructions
	grep ^nullmail: /etc/group >/dev/null || groupadd -r nullmail
	grep ^nullmail: /etc/passwd >/dev/null || useradd -d /var/lock/svc/nullmailer -g nullmail -M -r -s /bin/true nullmail
fi

%post
if ! [ -s /etc/nullmailer/me ]; then
	/bin/hostname --fqdn >/etc/nullmailer/me
fi
if ! [ -s /etc/nullmailer/defaultdomain ]; then
	/bin/hostname --domain >/etc/nullmailer/defaultdomain
fi
mkdir -p /var/nullmailer/service/log/main
chmod 0755 /var/nullmailer/service/log/main
chown nullmail:nullmail /var/nullmailer/service/log/main

%preun
if [ -L /service/nullmailer ]
then
	cd /service/nullmailer
	rm /service/nullmailer
	/usr/local/bin/svc -dx . log
fi

%postun

%files
%defattr(-,nullmail,nullmail)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO
%dir /etc/nullmailer
%attr(04711,nullmail,nullmail) /usr/bin/mailq
/usr/bin/nullmailer-inject
/usr/bin/nullmailer-smtpd
/usr/lib/sendmail
%dir /usr/libexec/nullmailer
/usr/libexec/nullmailer/*
%{_mandir}/*/*
%attr(04711,nullmail,nullmail) /usr/sbin/nullmailer-queue
/usr/sbin/nullmailer-send
/usr/sbin/sendmail
%dir /var/log/nullmailer
/var/nullmailer
